이클립스 sts 플러그인 다운로드

리포지토리 위치가 변경되지 않았는데, 어딘가에 캐시에 오래된 데이터가 있는 것 같아요. 환경 설정으로 이동하여 업데이트 위치를 선택하고 일반적으로 도움이 되는 “다시 로드”를 누를 수 있습니다. 그렇지 않은 경우 기본 설정에서 업데이트 사이트를 제거하고 이클립스를 다시 시작한 다음 다시 추가합니다(기본 설정 -> 설치/업데이트 -> 사용 가능한 업데이트 사이트). 이것은 JDK 1.8에서 이클립스를 실행할 때 알려진 문제이며 우리는 그것에 대해 작업하고 있습니다. 빠른 해결 을 위해 JDK11을 사용하여 Eclipse 자체를 실행하여 항목을 표시합니다. 이 문제는 수정되었으며 다음 업데이트 릴리스의 일부로 제공되며 다음 주에 출시될 예정입니다. 야간 업데이트 사이트를 사용하려는 경우 https://dist.springsource.com/snapshot/TOOLS/sts4/nightly/e4.12 STS4를 이클립스 4.12 설치에 수동으로 설치할 수 있습니다. 나는 아직 시도하지 않았지만, 사용 가능한 업데이트 사이트 환경 설정에이 야간 CI p2 리포지토리를 추가하여 STS4가 포함 된 기존 설치를 업데이트 할 수도 있습니다 .하지만 아직 직접 시도하지는 않았습니다. 이클립스용 스프링 툴 4의 최신 버전은 이클립스 2019-03을 기본 플랫폼으로 사용해야합니다.

이전 스프링 도구 모음 3 패키지를 이클립스 4.8 플랫폼에 대신 설치하려는 경우 “새 소프트웨어 설치” 대화 상자를 사용하여 이 업데이트 사이트를 사용할 수 있습니다 https://download.springsource.com/release/TOOLS/update/e4.8/. 당신은 또한 시도하고 여기에서 이클립스 4.8에 대한 전체 STS 3.9.5 업데이트 사이트를 다운로드 할 수 있습니다 : https://spring.io/tools/sts/all – 그리고 설치에 로컬 업데이트 사이트로 추가 (시도하는 추가 옵션). 스프링 툴 4에 사용하는 탄력성 번들을 궤도(및 주요 이클립스 분포)에 제공된 것과 동일한 버전으로 업데이트했기 때문에 최신 버전 4.1.2로 수정해야 합니다. 이클립스 마켓플레이스에 설치하려고 할 때 “download.springsource.com/release/TOOLS/sts4/update/e4.9/ 저장소가 없습니다.”라는 메시지가 표시됩니다. 이클립스 (4.13 64bit) 마켓 플레이스에서 STS 4.4.1을 설치했으며 IDE를 다시 시작한 후 새 프로젝트 옵션을 만들지 않습니다. 설치하는 동안 오류가 없습니다. 나는 성공하지 않고 JDK 11과 13으로 시도했다. MIght는 p2 풀에서 손상된 다운로드 또는 오래된 캐시 데이터입니다. 파일을 삭제하고 이클립스를 다시 열고 STS 업데이트 사이트가 이미 거기에 착륙한 경우 기본 설정을 확인하고, 그렇다면 캐시가 무효화되었는지 확인하기 위해 “다시로드”를 선택하십시오. 그런 다음 다시 시도하십시오. 또 다른 옵션은 업데이트 사이트를 직접 사용하거나 https://spring.io/tools 통해 미리 설치된 STS 도구를 사용하여 바로 사용할 수 있는 Eclipse 배포판을 다운로드하는 것입니다. 우리는 repo URL을 http 대신 https로 전환하려고 했지만, 그 과정에서 몇 가지 장애물이있는 것 같습니다.

우리는 그것에 있습니다. 그 동안, 나는 http를 사용하기 위해 다시 마켓 플레이스 항목을 전환. 캐시를 업데이트하는 데 시간이 걸릴 수 있지만 그 후에는 다시 설치할 수 있습니다. 또한 스프링 도구 4가 사전 설치된 이클립스 2018-12인 https://spring.io/tools 즉시 사용할 수 있는 배포판을 다운로드할 수 있습니다. 이것은 내가 지금 다시 조사하고있는 문제와 관련이있을 수 있습니다. JDK8에서 이클립스 2019-06을 실행하고 있습니까? 그렇다면 JDK11 및 “정리” 옵션을 사용하여 이클립스 설치를 실행하여 변경 사항이 있는지 확인하려면 적어도 한 번은 시도할 수 있습니까? 문제를 dianose하는 또 다른 옵션은 “콘솔”보기를 열고 “호스트 OSGi 콘솔”로 전환하고 “짧은 상태”에 대해 “ss”를 입력하는 것입니다. “설치”상태에 특정 STS 번들이있는 경우 실제로 지금보고 JDK11로 실행하면 문제가 해결될 수 있습니다.